Magick++: Magick::DrawableTranslation Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::DrawableTranslation Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableTranslation:
[legend]
Collaboration diagram for Magick::DrawableTranslation:
[legend]

## Public Member Functions
| DrawableTranslation (double x_, double y_)
| ~DrawableTranslation (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2249 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableTranslation()

Magick::DrawableTranslation::DrawableTranslation | ( | double | x_,
|  | double | y_
| ) |  |
| inline

Definition at line 2252 of file Drawable.h.

## ◆ ~DrawableTranslation()

Magick::DrawableTranslation::~DrawableTranslation | ( | void |  | ) |

Definition at line 1724 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableTranslation::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1732 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableTranslation::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1728 of file Drawable.cpp.

## ◆ x() [1/2]

void Magick::DrawableTranslation::x | ( | double | x_ | ) |
| inline

Definition at line 2265 of file Drawable.h.

## ◆ x() [2/2]

double Magick::DrawableTranslation::x | ( | void |  | ) | const
| inline

Definition at line 2269 of file Drawable.h.

## ◆ y() [1/2]

void Magick::DrawableTranslation::y | ( | double | y_ | ) |
| inline

Definition at line 2274 of file Drawable.h.

## ◆ y() [2/2]

double Magick::DrawableTranslation::y | ( | void |  | ) | const
| inline

Definition at line 2278 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp